/**
 * section_left_right
 * @version	2.0
 * @release	17-01-2022
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.section_left_right.s_padding_left_0 .global_contener.gc_gtc_2_fr
{
	grid-template-columns: 1fr calc((var(--section_contener_max_width) * 0.5) - 50px);
}

.section_left_right.s_padding_right_0 .global_contener.gc_gtc_2_fr
{
	grid-template-columns: calc((var(--section_contener_max_width) * 0.5) - 50px) 1fr;
}

.section_left_right .layout_mirror > *:last-child
{
	order: -1;
}

.section_left_right .contener
{
	padding-top: var(--global_size_20);
	padding-bottom: var(--global_size_20);
}

.section_left_right .content span
{
	display: inline-block;
}

/**********************************************************************************/

.section_left_right .icon
{
	min-width: 32px;
	width: 32px;
	margin-right: var(--global_size_20);
}

/**********************************************************************************/

.section_left_right .is_video video
{
	--min_width: 0;
	--max_width: 807;
	--width: clamp(calc(var(--min_width) * 1px), calc((((-1 * var(--global_scm_var)) * ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_width)) * 1px) + ((var(--max_width) - var(--min_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)), calc(var(--max_width) * 1px));

	object-fit: cover;
	object-position: 50% 50%;
	position: relative;
	display: block;
	width: 100%;
	max-width: 100%;
	min-width: var(--width);
}

.section_left_right .is_video .play
{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 92px;
	height: 92px;
	background-color: var(--root_color_lead);
	cursor: pointer;
	transition: opacity 0.3s;
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='30' height='37' viewBox='0 0 30 37' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M1.5 1.08398L28.3333 18.334L1.5 35.584V1.08398Z' stroke='%23FFFFFF' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: 50% 50%;
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
	z-index: 1;
}

.section_left_right .is_video .play:hover
{
	transform: translate(-50%, -50%) scale(1.1, 1.1);
}

.section_left_right .is_video .play.hidden
{
	opacity: 0;
	pointer-events: none;
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
	.section_left_right.s_padding_left_0 .global_contener.gc_gtc_2_fr
	{
		grid-template-columns: 100%
	}

	.section_left_right.s_padding_right_0 .global_contener.gc_gtc_2_fr
	{
		grid-template-columns: 100%
	}

	.section_left_right.s_padding_left_0
	{
		padding-right: 0;
	}

	.section_left_right.s_padding_right_0
	{
		padding-left: 0;
	}

	.section_left_right.s_padding_left_0 .contener 
	{
		padding-left: var(--global_padding);
		padding-right: var(--global_padding);
	}

	.section_left_right.s_padding_right_0 .contener 
	{
		padding-left: var(--global_padding);
		padding-right: var(--global_padding);
	}

	.section_left_right .contener
	{
		padding-top: 0;
		padding-bottom: 0;
	}

	.section_left_right.background_image.s_padding_left_0 .contener
	{
		padding-top: var(--global_size_60);
	}

	.section_left_right.background_image.s_padding_right_0 .contener
	{
		padding-top: var(--global_size_60);
	}

	.section_left_right .is_sticked
	{
		position: relative;
	}

	.section_left_right .image
	{
		order: 1;
	}

	.section_left_right .gs_arrow.gsa_jc_flex_end
	{
		justify-content: flex-start;
	}
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}